> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/image/describeimagecopyprogress.md).

# DescribeImageCopyProgress

## 1. API Description

This API (DescribeImageCopyProgress) is used to query the copy progress of a custom image in each target region.

{% hint style="info" %}
**Notes**

* This API returns progress data only when the image status is `SYNCING`. For other statuses, an empty list is returned.
* Target regions where the copy has been completed will not appear in the returned list.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description      |
| -------------- | -------- | ------ | ---------------- |
| imageId        | Yes      | String | Custom image ID. |

## 3. Output Parameters

| Parameter Name | Type                                                                                        | Description                                                                                                                                                                     |
| -------------- | ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                                           |
| dataSet        | Array of [ImageCopyProgress](/api-reference/compute/zec/datastructure.md#imagecopyprogress) | <p>List of image copy progress, including only target regions where the copy is in progress.</p><p>Returns an empty list when the image status is not <code>SYNCING</code>.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the image copy progress.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImageCopyProgress
<Common Request Params>

Request:
{
  "imageId": "<custom image id>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "dataSet": [
      {
        "destRegionId": "asia-south-1",
        "destRegionName": "Guangzhou",
        "syncStage": "PREPARING",
        "queued": false,
        "syncPercent": null,
        "errorInfo": null
      },
      {
        "destRegionId": "asia-north-1",
        "destRegionName": "Beijing",
        "syncStage": "TRANSFERRING",
        "queued": true,
        "syncPercent": null,
        "errorInfo": null
      },
      {
        "destRegionId": "asia-southeast-1",
        "destRegionName": "Hong Kong",
        "syncStage": "TRANSFERRING",
        "queued": false,
        "syncPercent": 74.23,
        "errorInfo": null
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                 | Description                                        |
| ---------------- | -------------------------- | -------------------------------------------------- |
| 404              | INVALID\_IMAGE\_NOT\_FOUND | Image not found.                                   |
| 400              | INVALID\_IMAGE\_STATUS     | The image's state does not support this operation. |
